{% set states = salt['cp.list_states'](saltenv) %}
include:
  - roles.ca.none
{%- if grains['roles'] is defined -%}
  {%- if grains['roles'] is not none -%}
    {%- if 'ca' in grains['roles'] -%}
      {%- for state in states %}
        {%- if state.startswith("pillars.roles.ca.") -%}
          {%- set role = state.split('.')[3] %}
  - roles.ca.{{ role }}
        {%- endif -%}
      {%- endfor -%}
    {%- else -%}
      {%- for role in grains['roles'] %}
        {%- if 'pillars.roles.ca.'+role in states %}
  - roles.ca.{{ role }}
        {%- endif -%}
      {%- endfor -%}
    {%- endif -%}
  {%- endif -%}
{%- endif -%}
