nginx:
  ombi:
    auth: none
    default: no
    https:
      port: 5000
      prot: http
  rtorrent:
    auth: 2fa
    default: no
    https:
      port: 5080
      prot: http
  radarr:
    auth: 2fa
    default: no
    https:
      port: 7878
      prot: http
  sonarr:
    auth: 2fa
    default: no
    https:
      port: 8989
      prot: http
  jackett:
    auth: 2fa
    default: no
    https:
      port: 9117
      prot: http

portal:
  Media:
    ombi:
      name: TV/Movie Requests
      summary: OMBI Plex Requests Server
      public: true
    rtorrent:
      name: Torrents
      summary: Rtorrent Torrent Server
      public: false
    radarr:
      name: Movie Downloader
      summary: Radarr Server
      public: false
    sonarr:
      name: TV Show Downloader
      summary: Sonarr Server
      public: false
    jackett:
      name: Torrent Indexers
      summary: Jackett Server
      public: false
