{%- if grains['os'] != "Arch ARM" -%}
aur_local_repo:
  file.managed:
    - name: /etc/pacman.d/aur-local
    - source: salt://repos/aur/aur-local

include_aur_local_repo:
  file.append:
    - name: /etc/pacman.conf
    - text: Include = /etc/pacman.d/aur-local

remove_old_aur_local_repo:
  file.replace:
    - name: /etc/pacman.conf
    - pattern: '\[aur-local\]\n.*SigLevel = Never\n.*Server = http:\/\/pkg\.actcur\.com\/\$repo\/os\/\$arch'
    - repl: ''
{%- endif -%}
