vaultwarden-pkgs:
  pkg.installed:
    - pkgs:
      - vaultwarden
      - vaultwarden-web

/etc/vaultwarden.env:
  file.managed:
    - source: salt://roles/maintain/pass/vaultwarden.env
    - user: root
    - group: root
    - mode: 644

vaultwarden-service:
  service.running:
    - name: vaultwarden
    - watch:
      - file: /etc/vaultwarden.env
