nginx-pkg-cache:
  pkg.installed:
    - pkgs:
      - nginx
  service.running:
    - name: nginx
    - enable: true
    - watch:
      - file: /etc/nginx/conf.d/*

/cache:
  file.symlink:
    - target: /mnt/pkgs/cache

/etc/nginx/conf.d/cache.conf:
  file.managed:
    - makedirs: true
    - source: salt://roles/maintain/pkg-cache/cache.conf
    - user: root
    - group: root
    - mode: 644
