python-pip:
  pkg.installed

podfox:
  pip.installed:
    - require:
      - pkg: python-pip
      
/opt/scripts/run_podfox.sh:
  file.managed:
    - source: salt://roles/maintain/podfox/run_podfox.sh
    - user: root
    - group: root
    - mode: 644
    - mkdirs: true  
    
/etc/systemd/system/run_podfox.service:
  file.managed:
    - source: salt://roles/maintain/podfox/run_podfox.service
    - user: root
    - group: root
    - mode: 644
    - mkdirs: true  
    
/etc/systemd/system/run_podfox.timer:
  file.managed:
    - source: salt://roles/maintain/podfox/run_podfox.timer
    - user: root
    - group: root
    - mode: 644
    - mkdirs: true  
    
run_podfox_timer:
  service.running:
    - name: run_podfox.timer
    - enable: true
    
/root/.podfox.json:
  file.managed:
    - source: salt://roles/maintain/podfox/podfox.json
    - user: root
    - group: root
    - mode: 644
    - mkdirs: true  