portal_php-fpm:
  pkg.installed:
    - name: php-fpm
  service.running:
    - name: php-fpm
    - enable: true
    - watch:
      - file: /etc/php/php.ini

portal_php-yaml:
  pkg.installed:
    - name: php-yaml

/etc/php/php.ini:
  file.managed:
    - source: salt://roles/maintain/portal/php.ini

/srv/http/sitedata.yml:
  file.managed:
    - source: salt://roles/maintain/portal/sitedata.yml
    - user: root
    - group: root
    - mode: 444
    - template: jinja
    - context:
      data: {{ pillar['portal'] }}
