salt-master:
{%- if os=="CentOS" or os=="RedHat" %}
  pkg.installed: []
{%- elif os=="Arch" or os=="Manjaro" %}
  pkg.installed:
    - pkgs:
      - salt
{%- endif %}
  service.running:
    - enable: true
    - watch:
      - file: /etc/salt/master

/etc/salt/master:
  file.managed:
    - source: salt://roles/maintain/saltmaster/master
    - user: root
    - group: root
    - mode: 644

/srv/salt/prod/states/pillars:
  file.symlink:
    - target: ../pillars/
