freeipa-client-pkg:
  pkg.installed:
    - name: freeipa-client

set_salt_ipa_password:
  environ.setenv:
    - name: SALT_PASSWORD
    - value: "{%- include 'secure/passwords/ipa_salt_password.txt' -%}"

install_cert:
  cmd.run:
    - name: 'ipa-client-install -U -p salt -w $SALT_PASSWORD --server=ipa.actcur.com --domain actcur.com  --mkhomedir'

unset_salt_ipa_password:
  environ.setenv:
    - name: SALT_PASSWORD
    - value: "False"
    - false_unsets: true
