firewalld:
  60_guest:
    description: Guest zone. Only connections from the guest network are accepted.
    include:
      - 99_public
    source:
      - 192.168.42.0/24
  70_internal:
    description: Internal zone. Only connections from internal network are accepted.
    include:
      - 99_public
    source:
      - 172.16.0.0/16
  99_public:
    description: Public zone. Only selected connections are accepted from anywhere.
    source:
      - 0.0.0.0/0
