{%- set branches=salt.cmd.shell('git ls-remote https://git.actcur.com/actcur/salt.git | grep -o -P "(?<=refs/heads/).*" | grep -Pv "(^temp$)|(^history$)"').split('\n') -%}
branches:
  saltmaster:
{%- for branch in branches %}
    - {{branch}}
{%- endfor %}

git:
{%- for branch in branches %}
  salt_{{branch}}:
    repo: "ssh://gitea@git.actcur.com:5022/actcur/salt.git"
    path: "/srv/salt/{{branch}}"
    branch: "{{branch}}"
    key: "git_actcur"
    force: {{ "True" if (branch == "prod" or branch == "qual") else "false" }}
    email: "actcur@actcur.com"
    name: "Actaeus Curabitur"
{%- endfor %}
