{% if grains['os_family'] == 'Arch' %}
basepkgs:
  pkg.installed:
    - pkgs:
      - sudo
      - nano
      - wget
      - openssh
      - htop
      - git
      - net-tools
      - python-psutil
{% elif grains['os_family'] == 'Debian' %}
basepkgs:
  pkg.installed:
    - pkgs:
      - sudo
      - nano
      - wget
      - openssh-server
      - htop
      - git
      - net-tools
{% elif grains['os_family'] == 'RedHat' %}
basepkgs:
  pkg.installed:
    - pkgs:
      - sudo
      - nano
      - wget
      - openssh-server
      - htop
      - git
      - net-tools
{% else %}
blarg:
  pkg.installed
{% endif %}
