{# ensure that grains pillar exists -#}
{%- if pillar['grains'] is defined -%}
  {%- if pillar['grains']['roles'] is defined %}
set-roles:
  grains.present:
    - name: roles
    - force: true
    - value: [{% for role in pillar['grains']['roles'] %}{{role}},{% endfor %}]
  {% else %}
set-roles:
  grains.absent:
    - name: roles
  {%- endif -%}
{%- endif -%}
