#Note: Must run on CentOS currently

/etc/yum.repos.d/openproject-ce.repo:
  file.managed:
    - source: https://dl.packager.io/srv/opf/openproject-ce/stable/7/installer/el/7.repo
    - skip_verify: true

openproject:
  pkg.installed:
    - name: openproject

/etc/openproject/installer.dat:
  file.managed:
    - source: salt://roles/build/openproject/installer.dat

openproject-configure:
  cmd.run:
    - name: "openproject configure"
