{%- set os=grains['os'] -%}

atheos-php:
  pkg.installed:
    - name: php
atheos-php-fpm:
  pkg.installed:
    - name: php-fpm
  service.running:
    - name: php-fpm
    - enable: true
    - watch:
      - file: /etc/php/php.ini

/etc/php/php.ini:
  file.managed:
    - source: salt://roles/maintain/atheos/php.ini
    - user: root
    - group: root
    - mode: 644
