certbot:
  pkg.installed

/root/scripts/certbot.sh:
  file.managed:
    - makedirs: true
    - source: salt://roles/maintain/certbot/certbot.sh
    - user: root
    - group: root
    - mode: 644

"/usr/lib/systemd/system/certbot.service":
  file.managed:
    - source: salt://roles/maintain/certbot/certbot.service
    - user: root
    - group: root
    - mode: 644

"/usr/lib/systemd/system/certbot.timer":
  file.managed:
    - source: salt://roles/maintain/certbot/certbot.timer
    - user: root
    - group: root
    - mode: 644

"certbot.timer":
  service.running:
    - enable: true

"certbot-reload":
  module.run:
    - name: service.systemctl_reload
    - onchanges:
      - file: /usr/lib/systemd/system/*
