{%- set os=grains['os'] -%}

emby-server:
  pkg.installed:
    - name: emby-server
  service.running:
    - enable: true
    
#/var/lib/emby:
#  file.symlink:
#    - target: /mnt/emby
#    - force: true

/etc/conf.d/emby-server:
  file.managed:
    - source: salt://roles/maintain/emby/emby-server
    - user: root
    - group: root
    - mode: 644

mount:
  group.present:
    - gid: 503
    - addusers:
      - emby
